#!/bin/sh
#
# $Product: atk $ $Id$
#
# This script builds the atk external product.
#
#	Refs:
#		http://www.gtk.org
#
apply_patches()
{
	for patch do
		echo Applying patch $patch
		patch -t -p0 < $patchdir/$patch
	done
}
if [ "$1" = "-r" ]; then
    rebuild="-r"	# Just do the build
    shift
fi
set -e
version=1.2.0
patches="atk-1.2.0-ldflags.patch"
topdir=`pwd`
patchdir=$topdir/patches
installdir=$topdir/devel
/bin/rm -rf $installdir
mkdir -p $installdir/share build
if [ -z "$rebuild" ]; then
    (cd $installdir/share; /bin/rm -rf src atk-$version;
	gzip -dc < /home/ali/packages/gtk/atk-$version.tar.gz | tar xf -
	mv atk-$version src)
    (cd $installdir/share/src; apply_patches $patches)
    (cd $installdir/share/src; automake)
    #(cd $installdir/share/src; autoconf-2.53)
fi
echo sh build-native.sh $rebuild $installdir/share/src $installdir
sh build-native.sh $rebuild $installdir/share/src $installdir
echo sh build-mingw32.sh $rebuild $installdir/share/src $installdir
sh build-mingw32.sh $rebuild $installdir/share/src $installdir
mv $installdir/mingw32/share/* $installdir/share
rm -rf $installdir/*/share
rm -rf build
