#!/bin/sh
#
# $Product: freetype $ $Id: build-mingw32.sh,v 1.2 2003/05/13 18:24:06 avrc Exp $
#
# This script builds the mingw32 port of the freetype external product.
#
# Refs:
#	http://gnuwin32.sourceforge.net/packages/freetype.htm
#
if [ "$1" = "-r" ]; then
    rebuild="-r"	# Just do the build
    shift
fi
set -e
srcdir=$1
installdir=$2/mingw32
/bin/rm -rf $installdir
mkdir -p $installdir/runtime
if [ -z "$rebuild" ]; then
    cp -r $srcdir build/mingw32
    (cd build/mingw32; \
	PATH=/usr/local/cross-tools/bin:$PATH \
	CC=mingw32-gcc \
	CFLAGS= CPPFLAGS= INSTALL= \
	LDFLAGS=-no-undefined \
	AR=mingw32-ar RANLIB=mingw32-ranlib AS=mingw32-as \
	LD=mingw32-ld NM=mingw32-nm DLLTOOL=mingw32-dlltool \
	OBJDUMP=mingw32-objdump WINDRES=mingw32-windres \
	./configure --host mingw32 --build `builds/unix/config.guess` \
	--prefix $installdir -C)
    (cd build/mingw32/builds/unix; \
    	rm libtool; cp /usr/local/cross-tools/libtool/bin/libtool .; \
	chmod 755 libtool)
fi
(cd build/mingw32; \
	PATH=/usr/local/cross-tools/bin:$PATH \
	WINDRES=mingw32-windres \
	make)
(cd build/mingw32; \
	PATH=/usr/local/cross-tools/bin:$PATH make install; \
	install objs/.libs/libfreetype.dll.a $installdir/lib)
(cd $installdir; find . -name '*.dll' -print | cpio -pdm runtime; chmod -R g+rX runtime)
