#!/bin/sh
#
# $Product: freetype $ $Id: build.sh,v 1.1 2003/05/13 15:30:38 avrc Exp $
#
# This script builds the freetype external product.
#
# Refs:
#	http://www.freetype.org/
#
apply_patches()
{
	for patch do
		echo Applying patch $patch
		patch -t -p0 < $patchdir/$patch
	done
}
rename()
{
    long=$1
    short=$2
    shift
    shift
    for file do
	cp $file ${file}.orig
	sed "s/$long\./$short\./" < ${file}.orig > $file
	rm ${file}.orig
    done
}
if [ "$1" = "-r" ]; then
    rebuild="-r"	# Just do the build
    shift
fi
set -e
version=2.1.4
patches=""
patchdir=`pwd`/patches
installdir=`pwd`/devel
/bin/rm -rf $installdir
mkdir -p $installdir/share build
if [ -z "$rebuild" ]; then
    (cd $installdir/share; /bin/rm -rf src freetype-$version;
	bzip2 -dc < $HOME/packages/freetype/freetype-$version.tar.bz2 | tar xf -
	mv freetype-$version src)
    (cd $installdir/share/src; apply_patches $patches; \
	#mv src/pcf/pcfdriver.c src/pcf/pcfdrvr.c; \
	#mv src/pcf/pcfdriver.h src/pcf/pcfdrvr.h; \
	#mv src/base/ftstroker.c src/base/ftstrker.c; \
	#rename pcfdriver pcfdrvr src/pcf/*; \
	#rename ftstroker ftstrker src/base/*; \
	)
    #(cd $installdir/share/src; automake)
    #(cd $installdir/share/src; autoconf-2.53)
fi
echo sh build-mingw32.sh $rebuild $installdir/share/src $installdir
sh build-mingw32.sh $rebuild $installdir/share/src $installdir
#echo sh build-wc11.sh $rebuild $installdir/share/src $installdir
#sh build-wc11.sh $rebuild $installdir/share/src $installdir
echo sh build-native.sh $rebuild $installdir/share/src $installdir
sh build-native.sh $rebuild $installdir/share/src $installdir
mv $installdir/mingw32/share/* $installdir/share
rm -rf $installdir/*/share
