#!/bin/sh
#
# $Product: glib $ $Id: build-mingw32.sh,v 1.1 2003/06/09 11:57:15 avrc Exp $
#
# This script builds the mingw32 port of the glib external product.
#
# Notes:
#	- The win32 port of glib does not support static libraries.
#	  Any attempt to change this needs to start in glib/gutils.c which
#	  includes G_WIN32_DLLMAIN_FOR_DLL_NAME without any guards
#	  (eg., DLL_EXPORT).
#
if [ "$1" = "-r" ]; then
    rebuild="-r"	# Just do the build
    shift
fi
set -e
srcdir=$1
installdir=$2/mingw32
nativeport=`sh $srcdir/config.guess`
nativeinstalldir=$2/$nativeport
libiconvdir=/home/support/vers/libiconv/mingw32
libintldir=/home/support/vers/gettext/mingw32
/bin/rm -rf $installdir
mkdir -p $installdir/runtime
if [ -z "$rebuild" ]; then
    /bin/rm -rf build/mingw32
    cp -r $srcdir build/mingw32
    cp config-mingw32.cache build/mingw32
    (cd build/mingw32; \
	PATH=/usr/local/cross-tools/bin:$PATH \
	CC=mingw32-gcc \
	CPP= CFLAGS= CPPFLAGS= INSTALL= \
	LDFLAGS=-no-undefined \
	AR=mingw32-ar RANLIB=mingw32-ranlib AS=mingw32-as \
	LD=mingw32-ld NM=mingw32-nm DLLTOOL=mingw32-dlltool \
	OBJDUMP=mingw32-objdump WINDRES=mingw32-windres \
	CPPFLAGS="-I${libiconvdir}/include -I${libintldir}/include" \
	LDFLAGS="-Wl,-Bdynamic -L${libiconvdir}/lib -L${libintldir}/lib" \
	GLIB_GENMARSHAL=${nativeinstalldir}/bin/glib-genmarshal \
	./configure --host mingw32 --build $nativeport \
	--disable-static \
	--prefix $installdir --cache-file=config-mingw32.cache)
    (cd build/mingw32; rm libtool; \
	sed -e 's/^\(build_old_libs\)=.*$/&=no/' \
	-e "s:*.exe) \(output=\`echo \$output|sed 's,.exe\$,,'\`\) ;;:*.exe) \1; ln -s \$output \$output.exe;; # [ALI] Create link to requested output to keep install-binPROGRAMS happy:" \
	< /usr/local/cross-tools/libtool/bin/libtool > libtool; \
	chmod 755 libtool)
fi
(cd build/mingw32; \
	PATH=/usr/local/cross-tools/bin:$PATH \
	WINDRES=mingw32-windres \
	make)
(cd build/mingw32; mv glib-2.0.pc glib-2.0.pc.orig; \
	sed -e "s:-liconv:-L${libiconvdir}/lib &:" \
	-e "s:-lintl:-L${libintldir}/lib &:" \
	< glib-2.0.pc.orig > glib-2.0.pc)
(cd build/mingw32; \
	PATH=/usr/local/cross-tools/bin:$PATH make install)
(cd $installdir; find . \( -name '*.dll' -o -name '*-helper.exe' -o -path './lib/locale*' \) -print | cpio -pdm runtime; chmod -R g+rX runtime)
