#!/bin/sh
#
# $Product: glib $ $Id: build-native.sh,v 1.1 2003/06/09 11:57:15 avrc Exp $
#
# This script builds the native port of the glib external product.
#
if [ "$1" = "-r" ]; then
    rebuild="-r"	# Just do the build
    shift
fi
set -e
srcdir=$1
port=`sh $srcdir/config.guess`
installdir=$2/$port
libiconvdir=/home/support/vers/libiconv/$port
libintldir=/home/support/vers/gettext/$port
/bin/rm -rf $installdir
mkdir -p $installdir/runtime
if [ -z "$rebuild" ]; then
    /bin/rm -rf build/$port
    cp -r $srcdir build/$port
    (cd build/$port; PATH=/usr/devel/bin:$PATH \
	CC= CPP= CFLAGS= CPPFLAGS= INSTALL= LDFLAGS= \
	AR= RANLIB= AS= LD= NM= DLLTOOL= OBJDUMP= WINDRES= \
	CPPFLAGS="-I${libiconvdir}/include -I${libintldir}/include" \
	LDFLAGS="-Wl,-Bdynamic -L${libiconvdir}/lib -L${libintldir}/lib" \
	./configure --with-libiconv=gnu --prefix $installdir)
fi
(cd build/$port; make)
(cd build/$port; mv glib-2.0.pc glib-2.0.pc.orig; \
	sed -e "s:-liconv:-L${libiconvdir}/lib -Wl,--rpath -Wl,${libiconvdir}/lib &:" \
	-e "s:-lintl:-L${libintldir}/lib -Wl,--rpath -Wl,${libintldir}/lib &:" \
	< glib-2.0.pc.orig > glib-2.0.pc)
(cd build/$port; make install)
(cd $installdir; find . \( -name '*.so*' -o -path './lib/locale*' \) -print | cpio -pdm runtime; chmod -R g+rX runtime)
