#!/bin/sh
#
# $Product: gtk $ $Id$
#
# This script builds the mingw32 port of the gtk external product.
#
if [ "$1" = "-r" ]; then
    rebuild="-r"	# Just do the build
    shift
fi
set -e
srcdir=$1
installdir=$2/mingw32
nativeport=`sh $srcdir/config.guess`
nativeinstalldir=$2/$nativeport
/bin/rm -rf $installdir
XPATH=/home/support/vers/glib/$nativeport/bin:/usr/local/cross-tools/bin
mkdir -p $installdir/runtime
if [ -z "$rebuild" ]; then
    /bin/rm -rf build/mingw32
    cp -r $srcdir build/mingw32
    (cd build/mingw32; \
	PATH=$XPATH:$PATH \
	CC=mingw32-gcc \
	CPP= CFLAGS="-Wl,-Bdynamic" CPPFLAGS= LDFLAGS= INSTALL= \
	AR=mingw32-ar RANLIB=mingw32-ranlib AS=mingw32-as \
	LD=mingw32-ld NM=mingw32-nm DLLTOOL=mingw32-dlltool \
	OBJDUMP=mingw32-objdump WINDRES=mingw32-windres \
	PKG_CONFIG_PATH=/home/support/vers/lib/pkgconfig/mingw32 \
	GDK_PIXBUF_CSOURCE=${nativeinstalldir}/bin/gdk-pixbuf-csource \
	./configure --host mingw32 --build $nativeport \
	LIBPNG= \
	--without-libtiff --without-libjpeg --without-libpng \
	--with-gdktarget=win32 \
	--disable-static \
	--prefix $installdir)
    (cd build/mingw32; rm libtool; \
	sed -e 's/^\(build_old_libs\)=.*$/&=no/' \
	-e "s:*.exe) \(output=\`echo \$output|sed 's,.exe\$,,'\`\) ;;:*.exe) \1; ln -s \$output \$output.exe;; # [ALI] Create link to requested output to keep install-binPROGRAMS happy:" \
	< /usr/local/cross-tools/libtool/bin/libtool > libtool; \
	chmod 755 libtool)
fi
(cd build/mingw32; \
	PKG_CONFIG_PATH=/home/support/vers/lib/pkgconfig/mingw32 \
	PATH=$XPATH:$PATH \
	WINDRES=mingw32-windres \
	make)
(cd build/mingw32; \
	PATH=$XPATH:$PATH \
	make install)
(cd $installdir; find . \( -name '*.dll' -o -name '*query*.exe' -o -path './etc*' -o -path './share/themes*' -o -path './lib/locale*' \) -print | cpio -pdm runtime; chmod -R g+rX runtime)
