#!/bin/sh
#
# $Product: libiconv $ $Id$
#
# This script builds the libiconv external product.
#
# Refs:
#	http://sourceforge.net/projects/gettext
#	http://www.gnu.org/directory/gettext.html
#
apply_patches()
{
	for patch do
		echo Applying patch $patch
		patch -t -p0 < $patchdir/$patch
	done
}
if [ "$1" = "-r" ]; then
    rebuild="-r"	# Just do the build
    shift
fi
set -e
version=1.8-w32-1
patches=""
topdir=`pwd`
patchdir=$topdir/patches
installdir=$topdir/devel
/bin/rm -rf $installdir
mkdir -p $installdir/share build
if [ -z "$rebuild" ]; then
    (cd $installdir/share; /bin/rm -rf src libiconv-$version;
	gzip -dc < $topdir/libiconv-$version.src.tgz | tar xf -
	mv libiconv-$version src)
    (cd $installdir/share/src; apply_patches $patches)
    #(cd $installdir/share/src; automake)
    #(cd $installdir/share/src; autoconf-2.53)
fi
echo sh build-mingw32.sh $rebuild $installdir/share/src $installdir
sh build-mingw32.sh $rebuild $installdir/share/src $installdir
echo sh build-native.sh $rebuild $installdir/share/src $installdir
sh build-native.sh $rebuild $installdir/share/src $installdir
# For some reason the mingw32 build doesn't install the shared files.
mv $installdir/*linux*/share/* $installdir/share
rm -rf $installdir/*/share
rm -rf build
