#!/bin/sh
#
# $Product: pango $ $Id$
#
# This script builds the mingw32 port of the pango external product.
#
if [ "$1" = "-r" ]; then
    rebuild="-r"	# Just do the build
    shift
fi
set -e
srcdir=$1
installdir=$2/mingw32
nativeport=`sh $srcdir/config.guess`
/bin/rm -rf $installdir
XPATH=/home/support/vers/glib/$nativeport/bin:/usr/local/cross-tools/bin
mkdir -p $installdir/runtime
if [ -z "$rebuild" ]; then
    /bin/rm -rf build/mingw32
    cp -r $srcdir build/mingw32
    (cd build/mingw32; \
	PATH=$XPATH:$PATH \
	CC=mingw32-gcc \
	CPP= CFLAGS= CPPFLAGS= LDFLAGS= INSTALL= \
	AR=mingw32-ar RANLIB=mingw32-ranlib AS=mingw32-as \
	LD=mingw32-ld NM=mingw32-nm DLLTOOL=mingw32-dlltool \
	OBJDUMP=mingw32-objdump WINDRES=mingw32-windres \
	PKG_CONFIG_PATH=/home/support/vers/lib/pkgconfig/mingw32 \
	./configure --host mingw32 --build $nativeport \
	--with-usp10=/usr/local/cross-tools/mingw32/include \
	--without-x --without-qt \
	--disable-static \
	--prefix $installdir)
    (cd build/mingw32; rm libtool; \
	sed -e 's/^\(build_old_libs\)=.*$/&=no/' \
	-e "s:*.exe) \(output=\`echo \$output|sed 's,.exe\$,,'\`\) ;;:*.exe) \1; ln -s \$output \$output.exe;; # [ALI] Create link to requested output to keep install-binPROGRAMS happy:" \
	< /usr/local/cross-tools/libtool/bin/libtool > libtool; \
	chmod 755 libtool)
fi
(cd build/mingw32; \
	PKG_CONFIG_PATH=/home/support/vers/lib/pkgconfig/mingw32 \
	PATH=$XPATH:$PATH \
	LT_COMPILE_RESOURCE=/usr/local/cross-tools/gtk+-2.0/bin/lt-compile-resource \
	WINDRES=mingw32-windres \
	make)
mkdir -p $installdir/lib
(cd build/mingw32/pango; \
	PATH=$XPATH:$PATH \
	make install-libtool-import-lib)
(cd build/mingw32; \
	PATH=$XPATH:$PATH \
	make install)
(cd $installdir; find . \( -name '*.dll' -o -name '*.exe' -o -path './etc*' \) -print | cpio -pdm runtime; chmod -R g+rX runtime)
