#!/bin/sh
#
# $Product: pango $ $Id$
#
# This script builds the pango external product.
#
apply_patches()
{
	for patch do
		echo Applying patch $patch
		patch -t -p0 < $patchdir/$patch
	done
}
if [ "$1" = "-r" ]; then
    rebuild="-r"	# Just do the build
    shift
fi
set -e
version=1.2.1
patches="pango-1.2.1-compile-resource.patch pango-1.2.1-all-unicode-txt.patch"
topdir=`pwd`
patchdir=$topdir/patches
installdir=$topdir/devel
/bin/rm -rf $installdir
mkdir -p $installdir/share build
if [ -z "$rebuild" ]; then
    (cd $installdir/share; /bin/rm -rf src pango-$version;
	gzip -dc < /home/ali/packages/gtk/pango-$version.tar.gz | tar xf -
	mv pango-$version src)
    (cd $installdir/share/src; apply_patches $patches)
    (cd $installdir/share/src; automake)
    (cd $installdir/share/src; autoconf-2.53)
fi
echo sh build-native.sh $rebuild $installdir/share/src $installdir
sh build-native.sh $rebuild $installdir/share/src $installdir
echo sh build-mingw32.sh $rebuild $installdir/share/src $installdir
sh build-mingw32.sh $rebuild $installdir/share/src $installdir
mv $installdir/mingw32/share/* $installdir/share
rm -rf $installdir/*/share
rm -rf build
